Create Profile
curl --request POST \
--url https://api.example.com/v1/profiles \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"fingerprint": {
"platform": "<string>",
"userAgent": "<string>",
"locale": "<string>",
"timezone": "<string>"
},
"proxy": {
"type": "<string>",
"country": "<string>",
"sticky": true
},
"tags": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/profiles"
payload = {
"name": "<string>",
"fingerprint": {
"platform": "<string>",
"userAgent": "<string>",
"locale": "<string>",
"timezone": "<string>"
},
"proxy": {
"type": "<string>",
"country": "<string>",
"sticky": True
},
"tags": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
fingerprint: {
platform: '<string>',
userAgent: '<string>',
locale: '<string>',
timezone: '<string>'
},
proxy: {type: '<string>', country: '<string>', sticky: true},
tags: ['<string>']
})
};
fetch('https://api.example.com/v1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Create Profile
Create a reusable session profile
POST
/
v1
/
profiles
Create Profile
Create Profile
Create a named profile that stores cookies, localStorage, fingerprint preferences, and proxy settings for reuse across sessions.string
required
Human-readable profile name.
object
object
string[]
Tags for organization.
Request
curl -X POST https://api.meshbrow.dev/v1/profiles \
-H "Authorization: Bearer mb_live_..." \
-H "Content-Type: application/json" \
-d '{
"name": "GitHub Bot",
"fingerprint": {
"platform": "MacIntel",
"locale": "en-US",
"timezone": "America/New_York"
},
"proxy": {
"type": "residential",
"country": "US",
"sticky": true
},
"tags": ["github", "scraping"]
}'
Response
201
{
"id": "prof_x9y8z7w6",
"name": "GitHub Bot",
"fingerprint": {
"platform": "MacIntel",
"locale": "en-US",
"timezone": "America/New_York"
},
"proxy": {
"type": "residential",
"country": "US",
"sticky": true
},
"tags": ["github", "scraping"],
"createdAt": "2026-10-27T14:00:00Z",
"usageCount": 0
}
⌘I